Summary:        A low-level module used by, among other things, the IO::Socket family of modules
Name:           perl-Socket
Version:        2.037
Release:        4%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Socket
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/Socket-%{version}.tar.gz
# build
BuildRequires:  coreutils, findutils, gcc, make, perl-devel, perl-generators, perl-interpreter, perl(Config)
BuildRequires:  perl(ExtUtils::CBuilder), perl(ExtUtils::Constant) >= 0.23, perl(ExtUtils::MakeMaker) >= 6.76, perl(strict), perl(warnings)
# Run-time:
BuildRequires:  perl(:VERSION) >= 5.6.1, perl(Carp), perl(Exporter), perl(warnings::register), perl(XSLoader)
# Tests only:
BuildRequires:  perl(Errno), perl(Test::More)
Requires:       perl(:VERSION) >= 5.6.1

%{?perl_default_filter}

%description
This module provides a variety of constants, structure manipulators and other
functions related to socket-based networking. The values and functions provided
are useful when used in conjunction with Perl core functions such as socket(), 
setsockopt() and bind(). It also provides several other support functions, 
mostly for dealing with conversions of network addresses between human-readable
and native binary forms, and for hostname resolver operations.

Some constants and functions are exported by default by this module; but for 
backward-compatibility any recently-added symbols are not exported by default 
and must be requested explicitly. When an import list is provided to the use 
Socket line, the default exports are not automatically imported. It is 
therefore best practice to always to explicitly list all the symbols required.



%prep
%autosetup -n Socket-%{version}

for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="%{optflags}"
%{make_build}



%install
%{make_install}
%{_fixperms} %{buildroot}/*



%check
export HARNESS_OPTIONS=j$(nproc)
make test



%files
%license Artistic Copying LICENSE
%doc Changes
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Socket*
%{_mandir}/man3/*



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.037-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.037-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.037-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 31 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.037-1
- Upgrade to upstream version 2.037
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.035-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.035-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Aug 12 2022 Zhao Zhen <jeremiazhao@tencent.com> - 2.035-1
- Initial building.
